Apache Web Server installation in AIX 7.1

Alles, was den Apache betrifft, kann hier besprochen werden.

Apache Web Server installation in AIX 7.1

Postby Khushboo Sahu » 09. October 2014 10:25

Hi,

We are installing Apache Web Server httpd-2.2.29 in AIX 7.1
While running the command ./configure --prefix=/usr/sap/apache --enable-mods-shared=most --with-mpm=prefork --with-expat=builtin --with-included-apr we get the below output:
checking for chosen layout... Apache
checking for working mkdir -p... yes
checking build system type... powerpc-ibm-aix7.1.0.0
checking host system type... powerpc-ibm-aix7.1.0.0
checking target system type... powerpc-ibm-aix7.1.0.0

Configuring Apache Portable Runtime library ...

configuring package in srclib/apr now
checking build system type... powerpc-ibm-aix7.1.0.0
checking host system type... powerpc-ibm-aix7.1.0.0
checking target system type... powerpc-ibm-aix7.1.0.0
Configuring APR library
Platform: powerpc-ibm-aix7.1.0.0
checking for working mkdir -p... yes
APR Version: 1.5.1
checking for chosen layout... apr
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/sapcd/apache_new/httpd-2.2.29/srclib/apr':
configure: error: C compiler cannot create executables
See `config.log' for more details
configure failed for srclib/apr


Also while running ./buildconf we get the below output:
found apr source: srclib/apr
found apr-util source: srclib/apr-util
rebuilding srclib/apr/configure
buildconf: checking installation...
buildconf: python version 2.7.5 (ok)
buildconf: autoconf version 2.69 (ok)
buildconf: libtool version 1.5.26 (ok)
buildconf: copying libtool helper files using /usr/bin/libtoolize
buildconf: Using libtool.m4 at /opt/freeware/share/aclocal/libtool.m4.
buildconf: creating include/arch/unix/apr_private.h.in ...
autom4te: need GNU m4 1.4 or later: /usr/bin/m4
autoheader: '/opt/freeware/bin/autom4te' failed with exit status: 1
buildconf: creating configure ...
autom4te: need GNU m4 1.4 or later: /usr/bin/m4
buildconf: generating 'make' outputs ...
buildconf: rebuilding rpm spec file
rebuilding srclib/apr-util/configure

Looking for apr source in /sapcd/apache_new/httpd-2.2.29/srclib/apr
Creating include/private/apu_config.h ...
autom4te: need GNU m4 1.4 or later: /usr/bin/m4
autoheader: '/opt/freeware/bin/autom4te' failed with exit status: 1
./buildconf failed for apr-util

Below are the rpms in our system:
AIX-rpm-7.1.2.15-1
tcl-8.4.7-3
tk-8.4.7-3
expect-5.42.1-3
wget-1.9.1-1
gcc-4.2.0-3
libgcc-4.2.0-3
libstdc++-4.2.0-3
libstdc++-devel-4.2.0-3
gcc-c++-4.2.0-3
gcc-java-4.2.0-3
gcc-locale-4.2.0-3
db4-4.7.25-2
expat-2.1.0-1
db4-devel-4.7.25-2
openssl-1.0.1g-1
expat-devel-2.1.0-1
bzip2-1.0.6-1
openldap-2.4.23-0.3
pkg-config-0.23-1
libiconv-1.14-2
bash-4.2-1
apr-1.4.8-1
apr-util-1.5.2-1
sqlite-3.6.1-1
apr-devel-1.4.8-1
libxml2-2.6.21-4
zlib-devel-1.2.7-1
zlib-1.2.7-1
apr-util-ldap-1.5.2-1
pcre-8.34-1
info-4.13a-2
readline-devel-6.1-1
lua-5.2.2-1
unixODBC-2.3.2-1
libgpg-error-1.12-1
libgcrypt-1.5.3-1
gdbm-1.10-1
python-2.7.5-1
gdb-7.5-5
automake-1.14.1-1
libtool-1.5.26-2
autoconf-2.69-1
git-4.3.20-4
bc-1.06-2
xft-2.1.6-5
freetype-1.3.1-9

Also, can we use pre-compiled Apache Web server? Can anyone tell me what are the disadvantages in going for a pre-compiled configuration.
I have referred several other forums and tried many options like setting the environment variables, trying different commands but all in vain.

Please suggest.

Regards,
Khushboo
Khushboo Sahu
 
Posts: 1
Joined: 09. October 2014 10:09
Operating System: AIX 7.1

Return to Apache

Who is online

Users browsing this forum: No registered users and 3 guests